function [ MS ] = getMsForceVector( MS, qt, threshold )
    %initialize force vector
    MS.F = zeros(MS.nCNodes * qt.DOFPerNode,1);
    %find "top" nodes assuming loading of the "top" side
    [rows,~] = find(MS.cNodes(:,2) >= qt.imageSize);
    %rows = circshift(rows,-1);
    %obtain loading for each "element" of the top side face
    for i = 1:1:length(rows)-1
        sNode = MS.cNodes(rows(i  ),:);
        eNode = MS.cNodes(rows(i+1),:);
        eLength = sqrt((sNode(1,1)-eNode(1,1))^2+(sNode(1,2)-eNode(1,2))^2);
        eForce = qt.load*eLength/2;
        row = repmat(rows(i:i+1),[1,2]);
        row(:,1) = row(:,1)*qt.DOFPerNode-1;
        row(:,2) = row(:,2)*qt.DOFPerNode;
        row = row';
        row = reshape(row,1,[]);
        eDOF = row;
        fLoc_s = -[eForce,0,eForce,0]; %shear
        fLoc_t = [0,eForce,0,eForce]; %tension
        MS.F(eDOF,1) = MS.F(eDOF,1)+fLoc_t'+fLoc_s';
    end
    
end
