function [shapeFunction , shapeFunctionDerivative] = shapeFunction1D (nodesPerElement , samplingPoint)
    n = samplingPoint;
    switch nodesPerElement
        case(2) %2-node element
            shapeFunction = [ ( 1 - n ) / 2 , ( 1 + n ) / 2 ];
            
            shapeFunctionDerivative = [ - ( 1 / 2 ) , ( 1 / 2 ) ];
            
        case(3) %3-node element
            shapeFunction = [ n * ( n - 1 ) / 2 , ( 1 - n ) * ( 1 + n ) , n * ( n + 1 ) / 2 ];
            
            shapeFunctionDerivative = [ ( 2 * n - 1 ) / 2, - 2 * n, ( 2 * n + 1 ) / 2];
            
        case(4) %4-node element
            shapeFunction = [ ( 1 / 16 ) * ( 1 - n ) * ( 3 * n + 1 ) * ( 3 * n - 1 ) , ...
                              ( 9 / 16 ) * ( 1 + n ) * (     n - 1 ) * ( 3 * n - 1 ) , ...
                              ( 9 / 16 ) * ( 1 + n ) * (     1 - n ) * ( 3 * n + 1 ) , ...
                              ( 1 / 16 ) * ( 1 + n ) * ( 3 * n + 1 ) * ( 3 * n - 1 ) ];
                          
            shapeFunctionDerivative = [ ( - 27 * n ^ 2 + 18 * n +  1 ) / 16,...
                                        (   81 * n ^ 2 - 18 * n - 27 ) / 16,...
                                        ( - 81 * n ^ 2 - 18 * n + 27 ) / 16,...
                                        (   27 * n ^ 2 + 18 * n -  1 ) / 16];
                                    
        case(5) %5-node element
            shapeFunction = [ ( n * ( n - 1 ) * ( 2 * n - 1 ) * ( 2 * n + 1 ) ) / 6 ,...
                            - ( 4 * n * ( n - 1 ) * ( n + 1 ) * ( 2 * n - 1 ) ) / 3 ,...
                        ( n - 1 ) * ( n + 1 ) * ( 2 * n - 1 ) * ( 2 * n + 1 )       ,...
                            - ( 4 * n * ( n - 1 ) * ( n + 1 ) * ( 2 * n + 1 ) ) / 3 ,...
                              ( n * ( n + 1 ) * ( 2 * n - 1 ) * ( 2 * n + 1 ) ) / 6 ];
                          
            shapeFunctionDerivative = [ ( 16 * n ^ 3 - 12 * n ^ 2 - 2 * n + 1 ) / 6 ,...
                                     ( - 32 * n ^ 3 + 12 * n ^ 2 + 16 * n - 4 ) / 3 ,...
                                                                16 * n ^ 3 - 10 * n ,...
                                     ( - 32 * n ^ 3 - 12 * n ^ 2 + 16 * n + 4 ) / 3 ,...
                                        ( 16 * n ^ 3 + 12 * n ^ 2 - 2 * n - 1 ) / 6 ];
                                    
        case(6) %6-node element
                shapeFunction = [-((n-1)*(5*n-3)*(5*n-1)*(5*n+1)*(5*n+3))/768,...
                                 (25*(n-1)*(n+1)*(5*n-3)*(5*n-1)*(5*n+1))/768,...
                                -(25*(n-1)*(n+1)*(5*n-3)*(5*n-1)*(5*n+3))/384,...
                                 (25*(n-1)*(n+1)*(5*n-3)*(5*n+1)*(5*n+3))/384,...
                                -(25*(n-1)*(n+1)*(5*n-1)*(5*n+1)*(5*n+3))/768,...
                                  ((n+1)*(5*n-3)*(5*n-1)*(5*n+1)*(5*n+3))/768];
                              
                shapeFunctionDerivative = [(-3125*n^4+2500*n^3+750*n^2-500*n-9)/768,...
                                         (25*(625*n^4-300*n^3-390*n^2+156*n+5))/768,...
                                        -(25*(625*n^4-100*n^3-510*n^2+68*n+45))/384,...
                                         (25*(625*n^4+100*n^3-510*n^2-68*n+45))/384,...
                                        -(25*(625*n^4+300*n^3-390*n^2-156*n+5))/768,...
                                            (3125*n^4+2500*n^3-750*n^2-500*n+9)/768];
        otherwise
            disp('invalid shape function for specified amount of nodes per element')
    end
    
